mediawiki 1.11.0 auf leopard lässt sich nicht konfigurieren

Irgendwelche Probleme mit XAMPP für Mac OS X? Dann ist hier genau der richtige Ort um nachzufragen.

mediawiki 1.11.0 auf leopard lässt sich nicht konfigurieren

Postby cabowabo » 14. November 2007 12:15

Hi,
habe xampp und mediawiki laut Anleitungen installiert.
Das config/index.php Script bleibt bei der Meldung:

Please include all of the lines below when reporting installation problems.

* PHP 5.2.4 installed


stehen. Keine weiteren Meldungen.

Hat jemand einen Hinweiß?

Danke
cabowabo
 
Posts: 1
Joined: 14. November 2007 12:10

Postby kleinweby » 14. November 2007 14:36

huhu,

leider hat apple wohl bei leopard die postgresql-libaray weggelassen.

Deswegen musst du in der config/index.php datei folgdende Zeilen auskommentieren:

Code: Select all
$ourdb['postgres']['fullname']   = 'PostgreSQL';
$ourdb['postgres']['havedriver'] = 0;
$ourdb['postgres']['compile']    = 'pgsql';
$ourdb['postgres']['bgcolor']    = '#aaccff';
$ourdb['postgres']['rootuser']   = 'postgres';


Dann sollte es gehen. Nachteil: Du kannst dann nicht PostgreSQL als Datenbank benutzen.

kleinweby
User avatar
kleinweby
AF Moderator
 
Posts: 393
Joined: 03. August 2005 19:52
Location: Magdeburg
Operating System: Mac OS X 10.7


Return to XAMPP für Mac OS X

Who is online

Users browsing this forum: No registered users and 1 guest